<!DOCTYPE html>
<html lang="en" xmlns="http://www.w3.org/1999/xhtml" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.2.1/css/bootstrap.min.css" integrity="sha384-GJzZqFGwb1QTTN6wy59ffF1BuGJpLSa9DkKMp0DgiMDm4iYMj70gZWKYbI706tWS" crossorigin="anonymous">
    <link rel="stylesheet" type="text/css" th:href="@{/css/styles.css}"/>
    <title>Detail příspěvku</title>
</head>
<body>
<nav class="navbar navbar-expand-lg  navbar-dark bg-dark">
    <div class="collapse navbar-collapse" id="navbarSupportedContent">
        <ul class="navbar-nav mr-auto">

            <li class="nav-item" th:if="${admin}">
                <a class="nav-link" th:href="@{/admin/categories}">Kategorie</a>
            </li>
            <li class="nav-item" th:if="${admin}">
                <a class="nav-link" th:href="@{/admin/users}">Uživatelé</a>
            </li>
            <li class="nav-item active">
                <a class="nav-link" th:href="@{/articles}">Příspěvky</a>
            </li>
            <li>
            <li class="nav-item" th:unless="${auth}">
                <a class="nav-link btn btn-md btn-danger" th:href="@{/login}">Login</a>
            </li>
            <li class="nav-item" th:unless="${auth}">
                &nbsp;
            </li>
            <li class="nav-item" th:unless="${auth}">
                <a class="nav-link btn btn-md btn-danger" th:href="@{/registration}">Registration</a>
            </li>

            <li th:if="${auth}">
                <a class="nav-link btn btn-md btn-danger" th:href="@{/logout}">Logout</a>
            </li>
            </li>
        </ul>
    </div>
</nav>
<div class="content">
    <h2 th:utext="${article.title}"></h2>
    <p th:text="${article.text}"></p>
    <div th:if="${editDelete}">
        <a th:href="@{/user/article(articleId=${article.articleId})}">Edit</a>
        <a th:href="@{/articles(articleId=${article.articleId})}">Delete</a>
    </div>
    <i>Vytvořeno: </i><span class="table-cell" th:text="${article.created}">...</span><br />
    <i>Editováno: </i><span class="table-cell"th:text="${article.edited}">...</span><br/>
    <i>Průměrné hodnocení: </i><span class="table-cell"th:text="${evaluation}">...</span> Vaše hodnocení: <span class="table-cell"th:text="${evaluationByUser}">...</span><br/>

    <h3 style="margin-top: 1rem">Komentáře</h3>
    <table class="table" style="width: 75%;">
        <thead class="thead-dark">
        <tr>
            <th scope="col">Text</th>
            <th scope="col">Vytvořeno</th>
            <th scope="col">Vytvořil</th>
            <th scope="col">Akce</th>
        </tr>
        </thead>
        <tbody>
        <th:block th:each="comment : ${comments}">
            <tr class="table-row-cell">
                <td th:text="${comment.getText()}">...</td>
                <td th:text="${comment.getCreated()}">...</td>
                <td th:text="${comment.getUser().getLastName()}">...</td>
                <td th:if="${authUserId == comment.getUser().getId()}">
                    <a th:href="@{/article(articleId=${article.articleId}, commentEditId=${comment.getCommentId()})}">
                        Edit
                    </a>
                    <a th:href="@{/article(articleId=${article.articleId}, commentDelId=${comment.getCommentId()})}">
                        Delete
                    </a>
                </td>
            </tr>
        </th:block>
        </tbody>
    </table>

    <div th:if="${prihlasenyUzivatel}">
        <form autocomplete="off" action="#" th:action="@{#}"
              th:object="${comment}" method="post" class="form-horizontal"
              role="form">
            <h2>Add comment</h2>
            <input type="hidden" th:field="*{commentId}" class="form-control"/>
            <div class="form-group">
                <div class="col-sm-9">
                    <label th:if="${#fields.hasErrors('text')}" th:errors="*{text}"
                           class="validation-message"></label>
                    <input type="text" th:field="*{text}" placeholder="Text"
                           class="form-control"/>
                </div>
            </div>
            <div class="form-group">
                <div class="col-sm-9">
                    <button type="submit" class="btn btn-primary btn-block">
                        <span th:utext="${buttonType}"></span>
                    </button>
                    <h2><span class="text-success" th:utext="${successMessage}"></span></h2>
                </div>
            </div>
        </form>
    </div>
</div>
</body>
</html>